Page MenuHomePhabricator

Rename labswiki to deploymentwiki
Closed, ResolvedPublic

Description

I'm in the middle of some work to get wikitech to function as part of the deployment system:

https://gerrit.wikimedia.org/r/#/c/155789

Awkwardly, the wikitech mediawiki db is called 'labswiki' and beta already has a wiki called labswiki. Branching operations/mediawiki-config to handle two different wikis with the same name will be a bit ugly.

So -- there seems to be general support to rename the labswiki on beta.


Version: unspecified
Severity: normal

Details

Reference
bz70108

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:32 AM
bzimport set Reference to bz70108.
bzimport added a subscriber: Unknown Object (MLST).
Andrew created this task.Aug 27 2014, 8:59 PM

gerritadmin wrote:

Change 156695 had a related patch set uploaded by Krinkle:
Rename labswiki to deploymentwiki

https://gerrit.wikimedia.org/r/156695

gerritadmin wrote:

Change 156695 had a related patch set uploaded by Andrew Bogott:
Rename labswiki to deploymentwiki

https://gerrit.wikimedia.org/r/156695

Renaming requires a manual rename of the database (probably via a dump and recreation) and the attached patch. And... anything else?

gerritadmin wrote:

Change 156695 merged by Andrew Bogott:
Rename labswiki to deploymentwiki

https://gerrit.wikimedia.org/r/156695

So the patch got merged. Was a manual rename performed?

bd808 closed this task as Resolved.Nov 24 2014, 4:04 PM
bd808 claimed this task.

We did this a long time ago.

bd808 set Security to None.
bd808 removed a subscriber: Unknown Object (MLST).
Restricted Application added a project: User-bd808. · View Herald TranscriptJun 7 2017, 6:58 PM